Skip to main content
PATCH
/
shipments
/
{shipment_id}
/
custom_fields
/
{api_slug}
Update a shipment custom field
curl --request PATCH \
  --url https://api.terminal49.com/v2/shipments/{shipment_id}/custom_fields/{api_slug} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "type": "custom_field",
    "attributes": {
      "value": "<string>"
    }
  }
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "custom_field",
    "attributes": {
      "api_slug": "<string>",
      "value": "<string>",
      "display_value": "<string>"
    },
    "relationships": {
      "entity": {
        "data": {
          "type": "shipment",
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        }
      },
      "definition": {
        "data": {
          "type": "custom_field_definition",
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        }
      }
    }
  },
  "links": {
    "self": "<string>"
  }
}
Updates a specific custom field on a shipment by its api_slug.

Path parameters

ParameterRequiredDescription
shipment_idYesThe ID of the shipment
api_slugYesThe api_slug of the custom field definition

Request body

ParameterRequiredDescription
valueYesThe new value to set

Authorization

Requires update permission on the shipment.

Response

Returns 200 OK with the updated custom field resource on success.

Authorizations

Authorization
string
header
required

Token YOUR_API_TOKEN

The APIs require authentication to be done using header-based API Key and Secret Authentication.

API key and secret are sent va the Authorization request header.

You send your API key and secret in the following way:

Authorization: Token YOUR_API_KEY

Path Parameters

shipment_id
string
required

Shipment ID

api_slug
string
required

Custom field api_slug

Body

application/json
data
object

Response

200 - application/json

OK

data
Custom field · object